%define upstream_name    Net-DBus-GLib
%define upstream_version 0.33.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for the DBus GLib bindings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: dbus-glib-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib)
BuildRequires: perl(Net::DBus)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
Net::DBus::GLib provides an extension to the Net::DBus module allowing
integration with the GLib mainloop. To integrate with the main loop, simply
get a connection to the bus via the methods in the Net::DBus::GLib manpage
rather than the usual the Net::DBus manpage module. That's it - every other
API remains the same.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/^(\s+)GLib:/$1Glib:/' META.yml.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc README LICENSE AUTHORS CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 05 2011 jquelin <jquelin> 0.33.0-1.mga2
+ Revision: 118816
- update buildrequires:
- adding missing buildrequires
- imported package perl-Net-DBus-GLib


* Tue Jul 05 2011 cpan2dist 0.33.0-1mga
- initial mageia release, generated with cpan2dist
